## python3.10 3.10.0~a7

=== debian/changelog ===
python3.10 (3.10.0~a7-3) experimental; urgency=medium

  * Build a python3.10-full package.

 -- Matthias Klose <doko@debian.org>  Tue, 06 Apr 2021 17:05:58 +0200

python3.10 (3.10.0~a7-1) experimental; urgency=medium

  * Python 3.10.0 alpha 7 snapshot.
  * Depend on media-types instead of mime-support. Addresses: #981016.
  * Fix permissions and group for local directories. Addresses: #962422.
  * Revert the fix for issue 42856 for now, need to update patches, to
    not require particular wheel versions.
  * Update symbols files.
  * Move zlib1g-dev dependency to libpython3.9-dev. Addresses: #984580.
  * Configure with --libdir=/usr/lib/$(DEB_HOST_MULTIARCH), recording the
    correct LIBDIR in _sysconfigdata.  Also adjust DESTSHARED to install
    lib-dynload into the same location as before the configure change.
    See issue #43229.
  * Fix flags substitutions for _sysconfigdata.
  * Autopkg tests:
    - Run testsuite{,-dbg} autopkg tests with allow-stderr. Closes: #983305.
    - Run again in testsuite instead of failing-tests: test_ftplib,
      test_httplib test_imaplib test_nntplib test_poplib test_ssl.
    - Run test_distutils and test_site tests again.
  * Build idlelib/help.html from source, don't ship the pre-generated file.

 -- Matthias Klose <doko@debian.org>  Tue, 06 Apr 2021 14:56:07 +0200

python3.10 (3.10.0~a4-2) experimental; urgency=medium

  * Configure again --with-system-libmpdec.

 -- Matthias Klose <doko@debian.org>  Mon, 11 Jan 2021 11:15:34 +0100

python3.10 (3.10.0~a4-1) experimental; urgency=medium

  * Python 3.10.0 alpha 4 snapshot.
  * Update symbols files.

 -- Matthias Klose <doko@debian.org>  Sun, 10 Jan 2021 14:40:53 +0100

python3.10 (3.10.0~a3-1) experimental; urgency=medium

  * Python 3.10.0 alpha 3 snapshot.
  * Update symbols files.

 -- Matthias Klose <doko@debian.org>  Tue, 08 Dec 2020 14:18:31 +0100

python3.10 (3.10.0~a2-1) experimental; urgency=medium

  * Python 3.10.0 alpha 2 snapshot.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 07 Nov 2020 09:09:33 +0100

python3.9 (3.9.0-5~20.04) focal-proposed; urgency=medium

  * SRU: LP: #1899954. Backport Python 3.9.0 to 20.04 LTS.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 20 Oct 2020 10:43:38 +0200

python3.9 (3.9.0-5) unstable; urgency=medium

  * Update to the 3.9 branch 2020-10-19.
  * python3.9-venv: Depend on python3-distutils.

 -- Matthias Klose <doko@debian.org>  Mon, 19 Oct 2020 11:51:18 +0200

python3.9 (3.9.0-4) unstable; urgency=medium

  * Fix module-install-venv autopkg test dependency.

 -- Matthias Klose <doko@debian.org>  Sun, 18 Oct 2020 11:42:38 +0200

python3.9 (3.9.0-3) unstable; urgency=high

  * Update to the 3.9 branch 2020-10-16.
  * ensurepip: Don't try to import the _bundled module.
  * Refresh patches.
  * Add some autopkg tests for venv (Stefano Rivera).

 -- Matthias Klose <doko@debian.org>  Fri, 16 Oct 2020 19:57:59 +0200

python3.9 (3.9.0-2) unstable; urgency=medium

  * Update to the 3.9 branch 2020-10-15.
  * Build with -O1 on sh4 (Adrian Glaubitz). Closes: #972202.
  * Don't run test_ttk_guionly test, timing on many buildds.

 -- Matthias Klose <doko@debian.org>  Thu, 15 Oct 2020 13:54:52 +0200

python3.9 (3.9.0-1) unstable; urgency=medium

  * Python 3.9.0 release.

 -- Matthias Klose <doko@debian.org>  Mon, 05 Oct 2020 22:56:51 +0200

python3.9 (3.9.0~rc2-1) unstable; urgency=medium

  * Python 3.9.0 release candidate 2.

 -- Matthias Klose <doko@debian.org>  Thu, 17 Sep 2020 12:40:00 +0200

python3.9 (3.9.0~rc1-1) unstable; urgency=medium

  * Python 3.9.0 release candidate 1.

 -- Matthias Klose <doko@debian.org>  Wed, 12 Aug 2020 12:42:16 +0200

python3.9 (3.9.0~b5-2) unstable; urgency=medium

  * Move typing.py into libpython3.9-minimal.

 -- Matthias Klose <doko@debian.org>  Thu, 23 Jul 2020 11:11:14 +0200

python3.9 (3.9.0~b5-1) unstable; urgency=medium

  * Python 3.9.0 beta 5.

 -- Matthias Klose <doko@debian.org>  Wed, 22 Jul 2020 11:03:53 +0200

python3.9 (3.9.0~b4-2) unstable; urgency=medium

  * Fix symbols file on i386.
  * Don't run test_concurrent_futures on riscv64, takes ages.

 -- Matthias Klose <doko@debian.org>  Thu, 16 Jul 2020 13:24:24 +0200

python3.9 (3.9.0~b4-1) unstable; urgency=medium

  * Python 3.9.0 beta 4.

 -- Matthias Klose <doko@debian.org>  Mon, 06 Jul 2020 15:22:12 +0200

python3.8 (3.8.4~rc1-1) unstable; urgency=medium

  * Python 3.8.4 release candidate 1.

 -- Matthias Klose <doko@debian.org>  Wed, 01 Jul 2020 17:31:45 +0200

python3.8 (3.8.3-1) unstable; urgency=medium

  * Python 3.8.3 release.
  * Add XB-Cnf-Visible-Pkgname header on the python*-minimal package to
    point command-not-found at the full one. LP: #1867157

 -- Matthias Klose <doko@debian.org>  Thu, 14 May 2020 13:03:12 +0200

python3.8 (3.8.3~rc1-1) unstable; urgency=medium

  * Python 3.8.3 release candidate 1.
    - Issue #38576, CVE-2019-18348: Disallow control characters in hostnames
      in http.client.
    - Issue #39503, CVE-2020-8492: Denial of service in
      urllib.request.AbstractBasicAuthHandler.

 -- Matthias Klose <doko@debian.org>  Thu, 30 Apr 2020 09:33:30 +0200

python3.8 (3.8.2-1) unstable; urgency=medium

  * Python 3.8.2 release.

 -- Matthias Klose <doko@debian.org>  Tue, 25 Feb 2020 14:04:52 +0100

python3.8 (3.8.2~rc2-2) unstable; urgency=medium

  * Ignore some autopkg test failures:
    - test_ssl: Fails with OPENSSL_TLS_SECURITY_LEVEL=2.
    - test_io: Fails on Ubuntu's autopkg test infrastructure.
    - Lower OpenSSL security level from 2 to 1 during testing as test_ssl
      assumes that (Dimitri John Ledkov).

 -- Matthias Klose <doko@debian.org>  Fri, 21 Feb 2020 12:37:41 +0100

python3.8 (3.8.2~rc2-1) unstable; urgency=medium

  * Python 3.8.2 release candidate 2.

 -- Matthias Klose <doko@debian.org>  Tue, 18 Feb 2020 11:16:50 +0100

python3.8 (3.8.2~rc1-1) unstable; urgency=medium

  * Python 3.8.2 release candidate 1.
  * Make autopkgtests cross-test-friendly (Steve Langasek).
  * Bump standards version.


