=== debian/tests/control ===
Tests: testsuite
Depends: build-essential,
  ca-certificates,
  locales-all,
  python3.10-dev,
  libpython3.10-testsuite:native,
  python3-gdbm (>= 3.9.0),
  python3-distutils,
  python3-tk (>= 3.9.0),
  idle-python3.10,
  systemtap-sdt-dev,
# need to turn off apport
Restrictions: needs-root, allow-stderr

Tests: testsuite-dbg
Depends: build-essential,
  ca-certificates,
  locales-all, python3.10-dev,
  python3.10-dbg,
  libpython3.10-testsuite:native,
  python3-gdbm-dbg (>= 3.9.0),
  gdb,
  python3-distutils,
  python3-tk-dbg (>= 3.9.0),
  idle-python3.10,
  systemtap-sdt-dev,
# need to turn off apport
Restrictions: needs-root, allow-stderr

Tests: failing-tests
Depends: build-essential,
  ca-certificates,
  locales-all,
  python3.10-dev,
  libpython3.10-testsuite:native,
  python3-gdbm (>= 3.9.0),
  python3-tk (>= 3.9.0),
  python3-distutils,
  python3.9-venv,
# need to turn off apport
Restrictions: needs-root, allow-stderr

Tests: failing-tests-dbg
Depends: build-essential,
  ca-certificates,
  locales-all,
  python3.10-dev,
  python3.10-dbg,
  libpython3.10-testsuite:native,
  python3-gdbm-dbg (>= 3.9.0),
  python3-tk-dbg (>= 3.9.0),
  gdb,
  python3-distutils,
  python3.9-venv,
# need to turn off apport
Restrictions: needs-root, allow-stderr

Tests: module-install-local
Depends: build-essential, python3.10-dev, python3-setuptools, shunit2
Restrictions: needs-root

Tests: module-install-user
Depends: build-essential, python3.10-dev, python3-setuptools, shunit2

Tests: module-install-venv
Depends: build-essential, python3.10-dev, python3.10-venv, shunit2

#Tests: module-install-virtualenv
#Depends: build-essential, python3.10-dev, shunit2, virtualenv
