## python3.10 3.10.0~b1

=== debian/changelog ===
python3.10 (3.10.0~b1-3~21.04) hirsute; urgency=medium

  * SRU: LP: #1928058, Backport 3.10.0 beta1 to 21.04.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 11 May 2021 10:45:09 +0200

python3.10 (3.10.0~b1-3) experimental; urgency=medium

  * Try to detect whether python3-venv is missing (Stefano Rivera).
    Closes: #977887.

 -- Matthias Klose <doko@debian.org>  Tue, 11 May 2021 08:19:33 +0200

python3.10 (3.10.0~b1-2) experimental; urgency=medium

  * Add the headers key to the added Debian INSTALL_SCHEMES.
  * Use libeditreadline-dev instead of libedit-dev as a build dependency.
  * Refresh patches.
  * When building 3.10 for releases newer than Debian 11 (bullseye) or
    Ubuntu 21.04 (hirsute), build the _dbm extension using gdbm, and
    include it in the python3-gdbm package.
    Raise an ImportError when trying to import the _dbm module, if the
    python3-gdbm package is not installed.
  * Call python with -S when checking the minimal set of modules.

 -- Matthias Klose <doko@debian.org>  Thu, 06 May 2021 11:07:08 +0200

python3.10 (3.10.0~b1-1) experimental; urgency=medium

  * Python 3.10.0 beta 1 snapshot.
  * Drop the unused build dependency on libdb-dev.
  * Prefer to build with libedit-dev instead of libreadline-dev. See #977732.
  * Update symbols files.

 -- Matthias Klose <doko@debian.org>  Tue, 04 May 2021 06:21:11 +0200
