=== debian/rules ===
--- 
+++ 
@@ -80,6 +80,16 @@
 	if dpkg-vendor --derives-from Ubuntu; then echo Ubuntu; \
 	elif dpkg-vendor --derives-from Debian; then echo Debian; \
 	else echo Unknown; fi)
+
+# FIXME: add bullseye when uploading to unstable, after bullseye is released
+ifneq (,$(filter $(distrelase), jessie stretch buster precise trusty xenial bionic focal groovy hirsute))
+  with_dbmmodule = yes
+  bd_dbm = libdb-dev
+  dbmliborder = bdb:gdbm
+else
+  bd_dbm = libgdbm-compat-dev
+  dbmliborder = gdbm:bdb
+endif
 
 VER=3.10
 SVER=3.10.0~a4
@@ -231,14 +241,3 @@
 	-e 's/-fstack-protector /-fstack-protector-strong /g' \
 	-e 's/-specs=[^ ]*//g' \
 	-e 's/-fdebug-prefix-map=[^ ]*//g' \
-	-e 's,^RUNSHARED *=.*,RUNSHARED=,' \
-	-e '/BLDLIBRARY/s/-L\. //'
-
-make_build_target = $(if $(filter yes, $(with_pgo)),profile-opt)
-
-buildd_static	:= $(CURDIR)/build-static
-buildd_shared	:= $(CURDIR)/build-shared
-buildd_debug	:= $(CURDIR)/build-debug
-buildd_shdebug	:= $(CURDIR)/build-shdebug
-
-d		:= debian/tmp
