## python3.10 3.10.0

=== debian/changelog ===
python3.10 (3.10.0-2) unstable; urgency=medium

  * ensurepip: Install pkg_resources as well as setuptools (Stefano Rivera).
  * Strip trailing '\n' from file names in py_compile (Graham Inggs).
  * Update ia64 build flags (Adrian Glaubitz). Closes: #995987, #996002.

 -- Matthias Klose <doko@debian.org>  Mon, 11 Oct 2021 07:33:59 +0200

python3.10 (3.10.0-1) unstable; urgency=medium

  * Python 3.10.0 release.
  * Update symbols files.
  * Annotate patches (Stefano Rivera).
  * Use Python 3.10's native --with-wheel-pkg-dir= mechanism (Stefano Rivera).

 -- Matthias Klose <doko@debian.org>  Fri, 08 Oct 2021 14:10:19 +0200

python3.10 (3.10.0~rc2-2) unstable; urgency=medium

  * More flags substitutions for LDFLAGS in _sysconfigdata.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Fri, 24 Sep 2021 11:47:58 +0200

python3.10 (3.10.0~rc2-1) unstable; urgency=medium

  * Python 3.10.0 release candidate 2.
  * Update symbols files.

 -- Matthias Klose <doko@debian.org>  Thu, 09 Sep 2021 11:19:38 +0200

python3.10 (3.10.0~rc1-4) unstable; urgency=medium

  * Fix the test_site test.

 -- Matthias Klose <doko@debian.org>  Mon, 06 Sep 2021 10:17:55 +0200

python3.10 (3.10.0~rc1-3) unstable; urgency=medium

  * Tighten autopkg test dependencies.

 -- Matthias Klose <doko@debian.org>  Sun, 05 Sep 2021 11:32:32 +0200

python3.10 (3.10.0~rc1-2) unstable; urgency=medium

  * Fix path to mkdir on a unified-/usr system. Addresses: #992775.
  * Use command -v instead of which in shell scripts.
  * Also don't run the test_concurrent_futures test on armhf and sparc64.
    Closes: #991111.

 -- Matthias Klose <doko@debian.org>  Fri, 03 Sep 2021 09:33:09 +0200

python3.10 (3.10.0~rc1-1) unstable; urgency=medium

  * Python 3.10.0 release candidate 1.
  * Update symbols files.
  * Fix CFLAGS in the python3.x-config scripts. Addresses: #992669.
  * Support arc-linux-gnu in the multiarch header. Addresses: #992091.
  * Don't run the test_concurrent_futures test on alpha. Addresses: #991110.

 -- Matthias Klose <doko@debian.org>  Thu, 02 Sep 2021 13:49:53 +0200

python3.10 (3.10.0~b4-1) experimental; urgency=medium

  * Python 3.10.0 beta 4 snapshot.

 -- Matthias Klose <doko@debian.org>  Mon, 12 Jul 2021 22:28:24 +0200

python3.10 (3.10.0~b3-1) experimental; urgency=medium

  * Python 3.10.0 beta 3 snapshot.

 -- Matthias Klose <doko@debian.org>  Fri, 18 Jun 2021 08:25:12 +0200

python3.10 (3.10.0~b2-1) experimental; urgency=medium

  * Python 3.10.0 beta 2 snapshot.

 -- Matthias Klose <doko@debian.org>  Fri, 04 Jun 2021 10:45:30 +0200
