=== debian/rules ===
--- 
+++ 
@@ -92,7 +92,7 @@
 endif
 
 VER=3.10
-SVER=3.10.0~a4
+SVER=3.10.0
 NVER=3.11
 PVER=python$(VER)
 EXT_VER=$(subst .,,$(VER))
@@ -176,13 +176,12 @@
 OPT_CFLAGS   := $(filter-out -O%,$(DPKG_CFLAGS)) # default is -O3
 DEBUG_CFLAGS := $(patsubst -O%,-Og,$(DPKG_CFLAGS))
 
-# on ia64, disable -O3 until gcc bug #85412 is fixed
 ifeq ($(DEB_HOST_ARCH),ia64)
-    EXTRA_OPT_CFLAGS += -O2
-endif
-# see #972202
-ifeq ($(DEB_HOST_ARCH),sh4)
-    EXTRA_OPT_CFLAGS += -O1
+    DPKG_CPPFLAGS += -DWITH_PYMALLOC_RADIX_TREE=0
+endif
+# see #972202, and https://gcc.gnu.org/PR97431
+ifneq (,$(filter $(DEB_HOST_ARCH), hppa sh4))
+    EXTRA_OPT_CFLAGS += -fno-inline-small-functions
 endif
 ifneq (,$(filter $(DEB_HOST_ARCH), ppc64 ppc64el))
     OPT_CFLAGS += -fexceptions
@@ -204,9 +203,6 @@
 ifneq (,$(findstring nopgo, $(DEB_BUILD_OPTIONS)))
   with_pgo :=
 endif
-
-with_pgo := disabled for now
-with_lto := disabled for now
 
 ifneq (,$(findstring nolto, $(DEB_BUILD_OPTIONS)))
   with_lto :=
