=== debian/tests/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
   locales-all,
   python3.10-dev,
   libpython3.10-testsuite:native,
-  python3-gdbm (>= 3.9.0),
+  python3-gdbm (>= 3.9.7),
   python3-distutils,
-  python3-tk (>= 3.9.0),
+  python3-tk (>= 3.9.7),
   idle-python3.10,
   systemtap-sdt-dev,
 # need to turn off apport
@@ -18,10 +18,10 @@
   locales-all, python3.10-dev,
   python3.10-dbg,
   libpython3.10-testsuite:native,
-  python3-gdbm-dbg (>= 3.9.0),
+  python3-gdbm-dbg (>= 3.9.7),
   gdb,
   python3-distutils,
-  python3-tk-dbg (>= 3.9.0),
+  python3-tk-dbg (>= 3.9.7),
   idle-python3.10,
   systemtap-sdt-dev,
 # need to turn off apport
@@ -33,10 +33,10 @@
   locales-all,
   python3.10-dev,
   libpython3.10-testsuite:native,
-  python3-gdbm (>= 3.9.0),
-  python3-tk (>= 3.9.0),
+  python3-gdbm (>= 3.9.7),
+  python3-tk (>= 3.9.7),
   python3-distutils,
-  python3.9-venv,
+  python3.10-venv,
 # need to turn off apport
 Restrictions: needs-root, allow-stderr
 
@@ -47,11 +47,11 @@
   python3.10-dev,
   python3.10-dbg,
   libpython3.10-testsuite:native,
-  python3-gdbm-dbg (>= 3.9.0),
-  python3-tk-dbg (>= 3.9.0),
+  python3-gdbm-dbg (>= 3.9.7),
+  python3-tk-dbg (>= 3.9.7),
   gdb,
   python3-distutils,
-  python3.9-venv,
+  python3.10-venv,
 # need to turn off apport
 Restrictions: needs-root, allow-stderr
